/************************************************************
 *                                                          *
 *                  generateLabyrinth - Modul               *
 *                                                          *
 *    Modul zur rekursiven Generierung eines Labyrinthes    *
 *    fr QLabyrinth.                                       *
 *                                                          *
 ************************************************************/

#ifndef RUDI_QLABY_C_06_2001

#define RUDI_QLABY_C_06_2001

typedef enum {free,wall} field_t;
 
/**
 * this function generates the labyrinth by a simple recursive algorithm
 * @param width Width of the sublabyrinth
 * @param height Height of the sublabyrinth
 * @param mindim Dimension of the longest side of a sublabyrinth when recursion * will be stopped
 * @param field Array representing the sublabyrinth
 */
void generateLabyrinth(int width, int height,int mindim, int * &field);

#endif 
